Mailinglist Archive: opensuse-packaging (74 mails)

< Previous Next >
Re: [opensuse-packaging] Basic question on ruby packaging and build ruby-dependent packages (chef)
On 02.05.17 12:19 Jordi Massaguer Pla wrote:

Hi, I am not aware of any more documentation.

That is sad to hear.

I just took a quick look at your project configuration:

First of all, ruby2.2 is not building, thus there is no ruby2.2 at
all for sle11*.

Huh? I see all builds succeeded for ruby2.2 and ruby2.4 for all of the
SLE11 and SLES12 build targets.

I also see rpms for ruby2.2 and ruby2.4 in the repos:
http://download.opensuse.org/repositories/home:/ojkastl_buildservice:/Chef_12_SLES_11/SLE_11_SP1/x86_64/

Second, in your project configuration you are setting the ruby
version for sle11* with

%if 0%{?suse_version} == 1110

That is fine with what you want to do, but do not expect that to be
applied for sle12, meaning you won't be using ruby2.2 for sle12.

I have a typo in the first stanza, this should read 1315 instead of
1320 to apply to SLES12. Thanks for the hint...

Johannes


< Previous Next >
References